Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1050063 - Trivial change to icu-config to support ppc64le
Summary: Trivial change to icu-config to support ppc64le
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: icu
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Eike Rathke
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1049265
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-01-08 16:46 UTC by Brent Baude
Modified: 2014-02-25 18:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-25 18:10:04 UTC


Attachments (Terms of Use)

Description Brent Baude 2014-01-08 16:46:57 UTC
The ppc64le architecture needs the following change to install itself properly.


Index: icu/icu-config.sh
===================================================================
--- icu.orig/icu-config.sh
+++ icu/icu-config.sh
@@ -1,7 +1,7 @@
 #!/bin/sh
 OOO_ARCH=$(uname -m)
 case $OOO_ARCH in
-	x86_64 | s390x | ppc64 | sparc64 | aarch64)
+	x86_64 | s390x | ppc64 | sparc64 | aarch64 | ppc64le )
 		bits=64
 		;;
 	* )

Comment 1 Eike Rathke 2014-01-10 20:25:45 UTC
Thanks, I'll add this when doing the next upgrade, see bug 1049265.

Comment 2 Eike Rathke 2014-02-12 10:12:04 UTC
icu-52.1-1.fc21


Note You need to log in before you can comment on or make changes to this bug.